发布于 2017-11-05 10:23:42 | 46 次阅读 | 评论: 0 | 来源: 网友投递

这里有新鲜出炉的精品教程,程序狗速度看过来!

Apache Web服务器

Apache是世界使用排名第一的Web服务器软件。它可以运行在几乎所有广泛使用的计算机平台上,由于其跨平台和安全性被广泛使用,是最流行的Web服务器端软件。


这篇文章主要介绍了Apache Thrift环境配置的相关资料,需要的朋友可以参考下

安装Thrift的官方文档地址:

http://thrift.apache.org/docs/install/

当我看到windows安装需要Cygwin或MinGW时,我就直接放弃在windows中配置的想法了,直接打开虚拟机用CentOS进行安装,使用一堆命令安装毕竟比windows方便。

CentOS安装Thrift

官方文档地址:

http://thrift.apache.org/docs/install/centos

基本上按照官方的操作,可以一直进行到最后一组命令,就是下面这个地方:


Build and Install the Apache Thrift IDL Compiler
git clone https://git-wip-us.apache.org/repos/asf/thrift.git 
cd thrift 
./bootstrap.sh 
./configure –with-lua=no 
make 
sudo make install

这一步需要特别注意,有两种途径可以选择。

由于这里使用git下载了源码,因此你当前目录使用的最新版本,在2015-9-19号写这篇文档的时候,master下面是最新的1.0.0版本,这个版本还没有发布,因此我说提供两种途径:

使用git checkout 0.9.2切换到当前已经发布的0.9.2版本再继续

在当前master(未发布的1.0.0版本)上继续

注:用git下载源码比较费胜博發,最快的方式就是直接从官方下载指定版本的压缩包。

我个人由于是事后才发现的这个问题,因此我是在第二种情况下操作的。

我个人建议选择已经发布的稳定的版本进行操作。如果操作过程中出现错误,也许下面针对第二种情况的解决办法同样适用于第一种情况。

在当前master(未发布的1.0.0版本)上继续

由于我是直接按照官方文档的操作,在master的情况下执行了上面的命令,因此出现了一些错误。

在继续上面最后的这一部分操作前,你需要先安装一些必备的依赖。如果没有事先安装这些依赖,可能会出现下面这个错误:

make出现Error:TNonblockingServer.h:41:33: error: event2/event_compat.h ...

类似上面这样的错误,解决方法是从下面的地址:

http://libevent.org/

下载libevent,我直接下载的最新版本libevent-2.0.22-stable.tar.gz,这个版本可以解决上面的问题,其他版本没有尝试。

安装完成后,如果你之前已经执行了make,那么建议你git gc清理目录。

然后再继续下面的操作:


./bootstrap.sh 
./configure –with-lua=no 
make 
sudo make install

正常情况下应该就能顺利安装完成了(如果出错,你是否没有执行git gc?)。

打包1.0.0版本jar包

由于当前还没发布1.0.0版本,因此如果你使用0.9.2版本会有一些错误,所以还要自己手动打包。

进入thrift/lib/Java目录,你需要先配置好jdk和ant。然后在这个目录打开终端,执行ant命令。

执行成功后,在build目录下就能看到libthrift-1.0.0.jar和libthrift-1.0.0.pom文件。

这里需要手动修改libthrift-1.0.0.pom文件,将<packaging>pom</packaging>改为<packaging>jar</packaging>,这里如果不修改为jar,就没法通过下面的命令用最简单的方式导入本地仓库(安装打包类型为pom的时候不会上传jar包,所以要改成jar,但是官方的打包类型确实就是奇葩的pom,谁能解释为什么?)。
将这两个文件复制到你要使用的电脑上,然后使用如下命令安装到本地仓库:


mvn install:install-file -Dfile=libthrift-1.0.0.jar -DpomFile=libthrift-1.0.0.pom

安装到本地后,在maven中就可以使用:


<dependency>
  <groupId>org.apache.thrift</groupId>
  <artifactId>libthrift</artifactId>
  <version>1.0.0</version>
</dependency>

到这里就可以开始使用thrift了。

总结

以上所述是小编给大家介绍的Apache Thrift环境配置,希望对大家有所帮助,如果大家有任何疑问请给我留言,小编会及时回复大家的。在此也非常感谢大家对PHPERZ胜博发888手机平台的支持!



相关阅读 :
Apache Thrift环境配置
apache反向代理配置方法
Apache 支持PHP配置方法
在Windows的Apache服务器上配置对PHP和CGI的支持
Apache服务器主配置文件httpd.conf详解
21个常用的apache .htaccess文件配置技巧分享
apache虚拟机配置步骤和修改访问端口的方法(虚拟机端口映射)
apache服务器全局配置详解(全)
apache访问根目录 配置作用域的相关资料
apache虚拟主机配置一例
Apache SSL服务器配置SSL详解
APACHE 多站点配置方法
最新网友评论  共有(0)条评论 发布评论 返回顶部
月排行榜

Copyright © 2007-2017 PHPERZ.COM All Rights Reserved   冀ICP备14009818号  版权声明  服务